# Class VictoryPhase

#### Hierarchy (view full)

- PokemonPhase
  - VictoryPhase

- Defined in src/phases.ts:3722

#####
Index

### Constructors

constructor

### Properties

battlerIndex
fieldIndex
player
scene

### Methods

end
executeForAll
getOrder
getPokemon
hideEnemyTrainer
showEnemyTrainer
start

## Constructors

### constructor

- new VictoryPhase(scene, battlerIndex): VictoryPhase

- #### Parameters

  - scene: default
  - battlerIndex: BattlerIndex

  #### Returns VictoryPhase

  Overrides PokemonPhase.constructor

  - Defined in src/phases.ts:3723

## Properties

### `Protected` battlerIndex

battlerIndex: number

Inherited from PokemonPhase.battlerIndex

- Defined in src/phases.ts:688

### fieldIndex

fieldIndex: number

Inherited from PokemonPhase.fieldIndex

- Defined in src/phases.ts:690

### player

player: boolean

Inherited from PokemonPhase.player

- Defined in src/phases.ts:689

### `Protected` scene

scene: default

Inherited from PokemonPhase.scene

- Defined in src/phase.ts:4

## Methods

### end

- end(): void

- #### Returns void

  Inherited from PokemonPhase.end

  - Defined in src/phase.ts:17

### executeForAll

- executeForAll(func): void

- #### Parameters

  - func: PokemonFunc

  #### Returns void

  Inherited from PokemonPhase.executeForAll

  - Defined in src/phases.ts:681

### getOrder

- getOrder(): BattlerIndex []

- #### Returns BattlerIndex []

  Inherited from PokemonPhase.getOrder

  - Defined in src/phases.ts:659

### getPokemon

- getPokemon(): default

- #### Returns default

  Inherited from PokemonPhase.getPokemon

  - Defined in src/phases.ts:704

### hideEnemyTrainer

- hideEnemyTrainer(): void

- #### Returns void

  Inherited from PokemonPhase.hideEnemyTrainer

  - Defined in src/phases.ts:644

### showEnemyTrainer

- showEnemyTrainer(trainerSlot?): void

- #### Parameters

  - trainerSlot: TrainerSlot = TrainerSlot.NONE

  #### Returns void

  Inherited from PokemonPhase.showEnemyTrainer

  - Defined in src/phases.ts:617

### start

- start(): void

- #### Returns void

  Overrides PokemonPhase.start

  - Defined in src/phases.ts:3727